
/****************************************************************************************************//**
 * @file     AC33Mx064.h
 *
 * @brief    CMSIS Cortex-M3 Peripheral Access Layer Header File for
 *           AC33Mx064 from ABOV Semiconductor Co., Ltd..
 *
 * @version  V0.1
 * @date     5. March 2015
 *
 * @note     Generated with SVDConv V2.85b 
 *           from CMSIS SVD File 'AC33Mx064.svd' Version 0.1,
 *
 * @par      THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 *           OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 *           MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 *           ARM SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
 *           CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER. 
 *
 *******************************************************************************************************/



/** @addtogroup ABOV Semiconductor Co., Ltd.
  * @{
  */

/** @addtogroup AC33Mx064
  * @{
  */

#ifndef AC33MX064_H
#define AC33MX064_H

#ifdef __cplusplus
extern "C" {
#endif


/* -------------------------  Interrupt Number Definition  ------------------------ */

typedef enum {
/* -------------------  Cortex-M3 Processor Exceptions Numbers  ------------------- */
  Reset_IRQn                    = -15,              /*!<   1  Reset Vector, invoked on Power up and warm reset                 */
  NonMaskableInt_IRQn           = -14,              /*!<   2  Non maskable Interrupt, cannot be stopped or preempted           */
  HardFault_IRQn                = -13,              /*!<   3  Hard Fault, all classes of Fault                                 */
  MemoryManagement_IRQn         = -12,              /*!<   4  Memory Management, MPU mismatch, including Access Violation
                                                         and No Match                                                          */
  BusFault_IRQn                 = -11,              /*!<   5  Bus Fault, Pre-Fetch-, Memory Access Fault, other address/memory
                                                         related Fault                                                         */
  UsageFault_IRQn               = -10,              /*!<   6  Usage Fault, i.e. Undef Instruction, Illegal State Transition    */
  SVCall_IRQn                   =  -5,              /*!<  11  System Service Call via SVC instruction                          */
  DebugMonitor_IRQn             =  -4,              /*!<  12  Debug Monitor                                                    */
  PendSV_IRQn                   =  -2,              /*!<  14  Pendable request for system service                              */
  SysTick_IRQn                  =  -1,              /*!<  15  System Tick Timer                                                */
/* --------------------  AC33Mx064 Specific Interrupt Numbers  -------------------- */
  LVDDETECT_IRQn                =   0,              /*!<   0  LVDDETECT                                                        */
  SCLKFAIL_IRQn                 =   1,              /*!<   1  SCLKFAIL                                                         */
  XOSCFAIL_IRQn                 =   2,              /*!<   2  XOSCFAIL                                                         */
  WDT_IRQn                      =   3,              /*!<   3  WDT                                                              */
  TIMER0_IRQn                   =   5,              /*!<   5  TIMER0                                                           */
  TIMER1_IRQn                   =   6,              /*!<   6  TIMER1                                                           */
  TIMER2_IRQn                   =   7,              /*!<   7  TIMER2                                                           */
  TIMER3_IRQn                   =   8,              /*!<   8  TIMER3                                                           */
  TIMER8_IRQn                   =  13,              /*!<  13  TIMER8                                                           */
  TIMER9_IRQn                   =  14,              /*!<  14  TIMER9                                                           */
  GPIOAE_IRQn                   =  16,              /*!<  16  GPIOAE                                                           */
  GPIOAO_IRQn                   =  17,              /*!<  17  GPIOAO                                                           */
  GPIOBE_IRQn                   =  18,              /*!<  18  GPIOBE                                                           */
  GPIOBO_IRQn                   =  19,              /*!<  19  GPIOBO                                                           */
  GPIOCE_IRQn                   =  20,              /*!<  20  GPIOCE                                                           */
  GPIOCO_IRQn                   =  21,              /*!<  21  GPIOCO                                                           */
  GPIODE_IRQn                   =  22,              /*!<  22  GPIODE                                                           */
  GPIODO_IRQn                   =  23,              /*!<  23  GPIODO                                                           */
  MPWM0_IRQn                    =  24,              /*!<  24  MPWM0                                                            */
  MPWM0PROT_IRQn                =  25,              /*!<  25  MPWM0PROT                                                        */
  MPWM0OVV_IRQn                 =  26,              /*!<  26  MPWM0OVV                                                         */
  SPI0_IRQn                     =  32,              /*!<  32  SPI0                                                             */
  IIC0_IRQn                     =  36,              /*!<  36  IIC0                                                             */
  UART0_IRQn                    =  38,              /*!<  38  UART0                                                            */
  UART1_IRQn                    =  39,              /*!<  39  UART1                                                            */
  ADC0_IRQn                     =  43,              /*!<  43  ADC0                                                             */
  ADC1_IRQn                     =  44               /*!<  44  ADC1                                                             */
} IRQn_Type;


/** @addtogroup Configuration_of_CMSIS
  * @{
  */


/* ================================================================================ */
/* ================      Processor and Core Peripheral Section     ================ */
/* ================================================================================ */

/* ----------------Configuration of the Cortex-M3 Processor and Core Peripherals---------------- */
#define __CM3_REV                 0x0100            /*!< Cortex-M3 Core Revision                                               */
#define __MPU_PRESENT                  0            /*!< MPU present or not                                                    */
#define __NVIC_PRIO_BITS               3            /*!< Number of Bits used for Priority Levels                               */
#define __Vendor_SysTickConfig         0            /*!< Set to 1 if different SysTick Config is used                          */
/** @} */ /* End of group Configuration_of_CMSIS */

#include "core_cm3.h"                               /*!< Cortex-M3 processor and core peripherals                              */
#include "system_AC33Mx064.h"                       /*!< AC33Mx064 System                                                      */


/* ================================================================================ */
/* ================       Device Specific Peripheral Section       ================ */
/* ================================================================================ */


/** @addtogroup Device_Peripheral_Registers
  * @{
  */


/* -------------------  Start of section using anonymous unions  ------------------ */
#if defined(__CC_ARM)
  #pragma push
  #pragma anon_unions
#elif defined(__ICCARM__)
  #pragma language=extended
#elif defined(__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined(__TMS470__)
/* anonymous unions are enabled by default */
#elif defined(__TASKING__)
  #pragma warning 586
#else
  #warning Not supported compiler type
#endif



/* ================================================================================ */
/* ================                       SCU                      ================ */
/* ================================================================================ */


/**
  * @brief SYSTEM CONTROL UNIT (SCU)
  */

typedef struct {                                    /*!< (@ 0x40000000) SCU Structure                                          */
  __I  uint32_t  CIDR;                              /*!< (@ 0x40000000) Chip ID Register                                       */
  __IO uint32_t  SMR;                               /*!< (@ 0x40000004) System Mode Register                                   */
  __IO uint32_t  SRCR;                              /*!< (@ 0x40000008) System Reset Control Register                          */
  __I  uint32_t  RESERVED;
  __IO uint32_t  WUER;                              /*!< (@ 0x40000010) Wakeup Source Enable Register                          */
  __IO uint32_t  WUSR;                              /*!< (@ 0x40000014) Wakeup Source Status Register                          */
  __IO uint32_t  RSER;                              /*!< (@ 0x40000018) Reset Source Enable Register                           */
  __IO uint32_t  RSSR;                              /*!< (@ 0x4000001C) Reset Source Status Register                           */
  __IO uint32_t  PRER1;                             /*!< (@ 0x40000020) Peripheral Reset Enable Register 1                     */
  __IO uint32_t  PRER2;                             /*!< (@ 0x40000024) Peripheral Reset Enable Register 2                     */
  __IO uint32_t  PER1;                              /*!< (@ 0x40000028) Peripheral Enable Register 1                           */
  __IO uint32_t  PER2;                              /*!< (@ 0x4000002C) Peripheral Enable Register 2                           */
  __IO uint32_t  PCER1;                             /*!< (@ 0x40000030) Peripheral Clock Enable Register 1                     */
  __IO uint32_t  PCER2;                             /*!< (@ 0x40000034) Peripheral Clock Enable Register 2                     */
  __I  uint32_t  RESERVED1[2];
  __IO uint32_t  CSCR;                              /*!< (@ 0x40000040) Clock Source Control Register                          */
  __IO uint32_t  SCCR;                              /*!< (@ 0x40000044) System Clock Control Register                          */
  __IO uint32_t  CMR;                               /*!< (@ 0x40000048) Clock Monitoring Register                              */
  __IO uint32_t  NMIR;                              /*!< (@ 0x4000004C) NMI Control Register                                   */
  __IO uint32_t  COR;                               /*!< (@ 0x40000050) Clock Output Register                                  */
  __I  uint32_t  RESERVED2[3];
  __IO uint32_t  PLLCON;                            /*!< (@ 0x40000060) PLL Control Register                                   */
  __IO uint32_t  VDCCON;                            /*!< (@ 0x40000064) VDC Control Register                                   */
  __IO uint32_t  LVDCON;                            /*!< (@ 0x40000068) LVD Control Register                                   */
  __I  uint32_t  RESERVED3[5];
  __IO uint32_t  EOSCR;                             /*!< (@ 0x40000080) External Oscillator Control Register                   */
  __IO uint32_t  EMODR;                             /*!< (@ 0x40000084) External Mode Status Register                          */
  __I  uint32_t  RESERVED4[2];
  __IO uint32_t  MCCR1;                             /*!< (@ 0x40000090) Miscellaneous Clock Control Register 1                 */
  __IO uint32_t  MCCR2;                             /*!< (@ 0x40000094) Miscellaneous Clock Control Register 2                 */
  __IO uint32_t  MCCR3;                             /*!< (@ 0x40000098) Miscellaneous Clock Control Register 3                 */
  __IO uint32_t  MCCR4;                             /*!< (@ 0x4000009C) Miscellaneous Clock Control Register 4                 */
  __IO uint32_t  MCCR5;                             /*!< (@ 0x400000A0) Miscellaneous Clock Control Register 5                 */
  __I  uint32_t  RESERVED5;
  __IO uint32_t  MCCR7;                             /*!< (@ 0x400000A8) Miscellaneous Clock Control Register 6                 */
} SCU_Type;


/* ================================================================================ */
/* ================                       PCA                      ================ */
/* ================================================================================ */


/**
  * @brief PORT CONTROL UNIT (PCA)
  */

typedef struct {                                    /*!< (@ 0x40001000) PCA Structure                                          */
  __IO uint32_t  MR;                                /*!< (@ 0x40001000) PORT n Pin MUX Register                                */
  __IO uint32_t  CR;                                /*!< (@ 0x40001004) PORT n Pin Control Register                            */
  __IO uint32_t  PCR;                               /*!< (@ 0x40001008) PORT n Pull-up Resistor Control Register               */
  __IO uint32_t  DER;                               /*!< (@ 0x4000100C) PORT n Debounce Enable Register                        */
  __IO uint32_t  IER;                               /*!< (@ 0x40001010) PORT n Interrupt Enable Register                       */
  __IO uint32_t  ISR;                               /*!< (@ 0x40001014) PORT n Interrupt Status Register                       */
  __IO uint32_t  ICR;                               /*!< (@ 0x40001018) PORT n Interrupt Control Register                      */
} PCU_Type;


/* ================================================================================ */
/* ================                     PORTEN                     ================ */
/* ================================================================================ */


/**
  * @brief Port Access Eable (PORTEN)
  */

typedef struct {                                    /*!< (@ 0x40001FF0) PORTEN Structure                                       */
  __IO uint32_t  EN;                                /*!< (@ 0x40001FF0) Port Access Eable 0x15->0x51                           */
} PORTEN_Type;


/* ================================================================================ */
/* ================                       PA                       ================ */
/* ================================================================================ */


/**
  * @brief GENERAL PURPOSE I/O (PA)
  */

typedef struct {                                    /*!< (@ 0x40002000) PA Structure                                           */
  __IO uint32_t  ODR;                               /*!< (@ 0x40002000) PORT n Output Data Register                            */
  __IO uint32_t  IDR;                               /*!< (@ 0x40002004) PORT n Input Data Register                             */
  __IO uint32_t  BSR;                               /*!< (@ 0x40002008) PORT n Bit Set Register                                */
  __O  uint32_t  BCR;                               /*!< (@ 0x4000200C) PORT n Bit Clear Register                              */
} GPIO_Type;


/* ================================================================================ */
/* ================                       FM                       ================ */
/* ================================================================================ */


/**
  * @brief FLASH MEMORY CONTROLLER (FM)
  */

typedef struct {                                    /*!< (@ 0x40000100) FM Structure                                           */
  __I  uint32_t  RESERVED;
  __IO uint32_t  MR;                                /*!< (@ 0x40000104) Flash Memory Mode Register                             */
  __IO uint32_t  CR;                                /*!< (@ 0x40000108) Flash Memory Control Register                          */
  __IO uint32_t  AR;                                /*!< (@ 0x4000010C) Flash Memory Address Register                          */
  __IO uint32_t  DR;                                /*!< (@ 0x40000110) Flash Memory Data Register                             */
  __IO uint32_t  TMR;                               /*!< (@ 0x40000114) Flash Memory Timer Register                            */
  __IO uint32_t  DRTY;                              /*!< (@ 0x40000118) Flash Memory Dirty bit Register                        */
  __IO uint32_t  TICK;                              /*!< (@ 0x4000011C) Flash Memory Tick Timer register                       */
  __IO uint32_t  CRC;                               /*!< (@ 0x40000120) Flash Memory CRC value register                        */
  __I  uint32_t  RESERVED1[3];
  __IO uint32_t  CFG;                               /*!< (@ 0x40000130) Flash Memory CONFIG value register                     */
  __I  uint32_t  RESERVED2[16];
  __IO uint32_t  BOOTCR;                            /*!< (@ 0x40000174) Boot ROM Remap Clear Register                          */
  __IO uint32_t  PROTECT;                           /*!< (@ 0x40000178) Write Protection Control Register                      */
  __IO uint32_t  JTAGEN;                            /*!< (@ 0x4000017C) JTAG Protection Control Register                       */
} FMC_Type;


/* ================================================================================ */
/* ================                       DC0                      ================ */
/* ================================================================================ */


/**
  * @brief DIRECT MEMORY ACCESS CONTROLLER (DC0)
  */

typedef struct {                                    /*!< (@ 0x40000400) DC0 Structure                                          */
  __IO uint32_t  CR;                                /*!< (@ 0x40000400) DMA Controller Configuration Register                  */
  __IO uint32_t  SR;                                /*!< (@ 0x40000404) DMA Controller Status register                         */
  __IO uint32_t  PAR;                               /*!< (@ 0x40000408) DMA Controller Peripheral Address register             */
  __IO uint32_t  MAR;                               /*!< (@ 0x4000040C) DMA Controller Memory Address register                 */
} DMAC_Type;


/* ================================================================================ */
/* ================                       WDT                      ================ */
/* ================================================================================ */


/**
  * @brief WATCH-DOG TIMER (WDT)
  */

typedef struct {                                    /*!< (@ 0x40000200) WDT Structure                                          */
  __IO uint32_t  LR;                                /*!< (@ 0x40000200) Watchdog Timer Load Register                           */
  __IO uint32_t  CNT;                               /*!< (@ 0x40000204) Watchdog Timer Current Counter Register                */
  __IO uint32_t  CON;                               /*!< (@ 0x40000208) Watchdog Timer Control Register                        */
} WDT_Type;


/* ================================================================================ */
/* ================                       T0                       ================ */
/* ================================================================================ */


/**
  * @brief 16-BIT TIMER (T0)
  */

typedef struct {                                    /*!< (@ 0x40003000) T0 Structure                                           */
  __IO uint32_t  CR1;                               /*!< (@ 0x40003000) Timer n Control Register 1                             */
  __IO uint32_t  CR2;                               /*!< (@ 0x40003004) Timer n Control Register 2                             */
  __IO uint32_t  PRS;                               /*!< (@ 0x40003008) Timer n Prescaler Register                             */
  __IO uint32_t  GRA;                               /*!< (@ 0x4000300C) Timer n General Register A                             */
  __IO uint32_t  GRB;                               /*!< (@ 0x40003010) Timer n General Register B                             */
  __IO uint32_t  CNT;                               /*!< (@ 0x40003014) Timer n Count Register                                 */
  __IO uint32_t  SR;                                /*!< (@ 0x40003018) Timer n Status Register                                */
  __O  uint32_t  IER;                               /*!< (@ 0x4000301C) Timer n Interrupt Enable Register                      */
} TIMER_Type;


/* ================================================================================ */
/* ================                      TGECR                     ================ */
/* ================================================================================ */


/**
  * @brief Timer Group Encoder Control Register (TGECR)
  */

typedef struct {                                    /*!< (@ 0x40003140) TGECR Structure                                        */
  __IO uint32_t  CR;                                /*!< (@ 0x40003140) Timer Group Encoder Control Register                   */
} TGECR_Type;


/* ================================================================================ */
/* ================                       U0                       ================ */
/* ================================================================================ */


/**
  * @brief UNIVERSAL ASYNCHRONOUS RECEIVER/TRANSMITTER (U0)
  */

typedef struct {                                    /*!< (@ 0x40008000) U0 Structure                                           */
  
  union {
    __O  uint32_t  THR;                             /*!< (@ 0x40008000) Transmit Data Hold Register                            */
    __I  uint32_t  RBR;                             /*!< (@ 0x40008000) Receive Buffer Register                                */
  };
  __IO uint32_t  IER;                               /*!< (@ 0x40008004) UART Interrupt Enable Register                         */
  __IO uint32_t  IIR;                               /*!< (@ 0x40008008) UART Interrupt ID Register                             */
  __IO uint32_t  LCR;                               /*!< (@ 0x4000800C) UART Line Control Register                             */
  __IO uint32_t  DCR;                               /*!< (@ 0x40008010) UART Data Control Register                             */
  __IO uint32_t  LSR;                               /*!< (@ 0x40008014) UART Line Status Register                              */
  __I  uint32_t  RESERVED[2];
  __IO uint32_t  BDR;                               /*!< (@ 0x40008020) Baud rate Divisor Latch Register                       */
  __IO uint32_t  BFR;                               /*!< (@ 0x40008024) Baud rate Fraction Counter Register                    */
  __I  uint32_t  RESERVED1[2];
  __IO uint32_t  IDTR;                              /*!< (@ 0x40008030) Inter-frame Delay Time Register                        */
} UART_Type;


/* ================================================================================ */
/* ================                       SP0                      ================ */
/* ================================================================================ */


/**
  * @brief SERIAL PERIPHERAL INTERFACE (SP0)
  */

typedef struct {                                    /*!< (@ 0x40009000) SP0 Structure                                          */
  
  union {
    __O  uint32_t  TDR;                             /*!< (@ 0x40009000) SPI n Transmit Data Register                           */
    __I  uint32_t  RDR;                             /*!< (@ 0x40009000) SPI n Receive Data Register                            */
  };
  __IO uint32_t  CR;                                /*!< (@ 0x40009004) SPI n Control Register                                 */
  __IO uint32_t  SR;                                /*!< (@ 0x40009008) SPI n Status Register                                  */
  __IO uint32_t  BR;                                /*!< (@ 0x4000900C) SPI n Baud Rate Register                               */
  __IO uint32_t  EN;                                /*!< (@ 0x40009010) SPI n Enable register                                  */
  __IO uint32_t  LR;                                /*!< (@ 0x40009014) SPI n delay Length Register                            */
} SPI_Type;


/* ================================================================================ */
/* ================                       IC0                      ================ */
/* ================================================================================ */


/**
  * @brief IIC Interface (IC0)
  */

typedef struct {                                    /*!< (@ 0x4000A000) IC0 Structure                                          */
  __IO uint32_t  DR;                                /*!< (@ 0x4000A000) IIC Data Register                                      */
  __I  uint32_t  RESERVED;
  __IO uint32_t  SR;                                /*!< (@ 0x4000A008) Status register                                        */
  __IO uint32_t  SAR;                               /*!< (@ 0x4000A00C) IIC Slave Address Register                             */
  __I  uint32_t  RESERVED1;
  __IO uint32_t  CR;                                /*!< (@ 0x4000A014) IIC Control Register                                   */
  __IO uint32_t  SCLL;                              /*!< (@ 0x4000A018) IIC SCL LOW duration Register                          */
  __IO uint32_t  SCLH;                              /*!< (@ 0x4000A01C) IIC SCL HIGH duration Register                         */
  __IO uint32_t  SDH;                               /*!< (@ 0x4000A020) SDA Hold Register                                      */
} IIC_Type;


/* ================================================================================ */
/* ================                       MP0                      ================ */
/* ================================================================================ */


/**
  * @brief MOTOR PULSE-WIDTH-MODULATOR (MP0)
  */

typedef struct {                                    /*!< (@ 0x40004000) MP0 Structure                                          */
  __IO uint32_t  MR;                                /*!< (@ 0x40004000) MPWM Mode Register                                     */
  __IO uint32_t  OLR;                               /*!< (@ 0x40004004) MPWM Port Mode Register                                */
  __IO uint32_t  FOLR;                              /*!< (@ 0x40004008) MPWM Force Output Level Register                       */
  __IO uint32_t  PRD;                               /*!< (@ 0x4000400C) MPWM Period Register                                   */
  __IO uint32_t  DUH;                               /*!< (@ 0x40004010) MPWM Duty UH Register                                  */
  __IO uint32_t  DVH;                               /*!< (@ 0x40004014) MPWM Duty VH Register                                  */
  __IO uint32_t  DWH;                               /*!< (@ 0x40004018) MPWM Duty WH Register                                  */
  __IO uint32_t  DUL;                               /*!< (@ 0x4000401C) MPWM Duty UL Register                                  */
  __IO uint32_t  DVL;                               /*!< (@ 0x40004020) MPWM Duty UL Register                                  */
  __IO uint32_t  DWL;                               /*!< (@ 0x40004024) MPWM Duty WL Register                                  */
  __IO uint32_t  CR1;                               /*!< (@ 0x40004028) MPWM Control Register 1                                */
  __IO uint32_t  CR2;                               /*!< (@ 0x4000402C) MPWM Control Register 2                                */
  __IO uint32_t  SR;                                /*!< (@ 0x40004030) MPWM Status Register                                   */
  __IO uint32_t  IER;                               /*!< (@ 0x40004034) MPWM Interrupt Enable Register                         */
  __IO uint32_t  CNT;                               /*!< (@ 0x40004038) MPWM Counter Register                                  */
  __IO uint32_t  DTR;                               /*!< (@ 0x4000403C) MPWM Dead Time Register                                */
  __IO uint32_t  PCR0;                              /*!< (@ 0x40004040) MPWM Protection control Register 0                     */
  __IO uint32_t  PSR0;                              /*!< (@ 0x40004044) MPWM Protection Status Register 0                      */
  __IO uint32_t  PCR1;                              /*!< (@ 0x40004048) MPWM Protection control Register 1                     */
  __IO uint32_t  PSR1;                              /*!< (@ 0x4000404C) MPWM Protection Status Register 1                      */
  __I  uint32_t  RESERVED[2];
  __IO uint32_t  ATR1;                              /*!< (@ 0x40004058) MPWMn ADC Trigger Counter 1 Register                   */
  __IO uint32_t  ATR2;                              /*!< (@ 0x4000405C) MPWMn ADC Trigger Counter 2 Register                   */
  __IO uint32_t  ATR3;                              /*!< (@ 0x40004060) MPWMn ADC Trigger Counter 3 Register                   */
  __IO uint32_t  ATR4;                              /*!< (@ 0x40004064) MPWMn ADC Trigger Counter 4 Register                   */
  __IO uint32_t  ATR5;                              /*!< (@ 0x40004068) MPWMn ADC Trigger Counter 5 Register                   */
  __IO uint32_t  ATR6;                              /*!< (@ 0x4000406C) MPWMn ADC Trigger Counter 6 Register                   */
} MPWM_Type;


/* ================================================================================ */
/* ================                       AD0                      ================ */
/* ================================================================================ */


/**
  * @brief 12-BIT A/D CONVERTER (AD0)
  */

typedef struct {                                    /*!< (@ 0x4000B000) AD0 Structure                                          */
  __IO uint32_t  MR;                                /*!< (@ 0x4000B000) ADCn Mode Register                                     */
  __IO uint32_t  CSCR;                              /*!< (@ 0x4000B004) Current Sequence/Channel Register                      */
  __IO uint32_t  CCR;                               /*!< (@ 0x4000B008) Clock Control Register                                 */
  __IO uint32_t  TRG;                               /*!< (@ 0x4000B00C) ADC Trigger Selection Register                         */
  __I  uint32_t  RESERVED[2];
  __IO uint32_t  SCSR;                              /*!< (@ 0x4000B018) ADC Sequence Channel Selection Register                */
  __I  uint32_t  RESERVED1;
  __IO uint32_t  CR;                                /*!< (@ 0x4000B020) ADCn Control Register                                  */
  __IO uint32_t  SR;                                /*!< (@ 0x4000B024) ADCn Status Register                                   */
  __IO uint32_t  IER;                               /*!< (@ 0x4000B028) Interrupt Enable Register                              */
  __IO uint32_t  DDR;                               /*!< (@ 0x4000B02C) ADC DMA Data Register                                  */
  __IO uint32_t  DR0;                               /*!< (@ 0x4000B030) ADC Data Register 0                                    */
  __IO uint32_t  DR1;                               /*!< (@ 0x4000B034) ADC Data Register 1                                    */
  __IO uint32_t  DR2;                               /*!< (@ 0x4000B038) ADC Data Register 2                                    */
  __IO uint32_t  DR3;                               /*!< (@ 0x4000B03C) ADC Data Register 3                                    */
  __IO uint32_t  DR4;                               /*!< (@ 0x4000B040) ADC Data Register 4                                    */
  __IO uint32_t  DR5;                               /*!< (@ 0x4000B044) ADC Data Register 5                                    */
  __IO uint32_t  DR6;                               /*!< (@ 0x4000B048) ADC Data Register 6                                    */
  __IO uint32_t  DR7;                               /*!< (@ 0x4000B04C) ADC Data Register 7                                    */
} ADC_Type;


/* --------------------  End of section using anonymous unions  ------------------- */
#if defined(__CC_ARM)
  #pragma pop
#elif defined(__ICCARM__)
  /* leave anonymous unions enabled */
#elif defined(__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined(__TMS470__)
  /* anonymous unions are enabled by default */
#elif defined(__TASKING__)
  #pragma warning restore
#else
  #warning Not supported compiler type
#endif




/* ================================================================================ */
/* ================              Peripheral memory map             ================ */
/* ================================================================================ */

#define SCU_BASE                        0x40000000UL
#define PCA_BASE                        0x40001000UL
#define PCB_BASE                        0x40001100UL
#define PCC_BASE                        0x40001200UL
#define PCD_BASE                        0x40001300UL
#define PORTEN_BASE                     0x40001FF0UL
#define PA_BASE                         0x40002000UL
#define PB_BASE                         0x40002100UL
#define PC_BASE                         0x40002200UL
#define PD_BASE                         0x40002300UL
#define FM_BASE                         0x40000100UL
#define DC0_BASE                        0x40000400UL
#define DC1_BASE                        0x40000410UL
#define DC2_BASE                        0x40000420UL
#define DC3_BASE                        0x40000430UL
#define WDT_BASE                        0x40000200UL
#define T0_BASE                         0x40003000UL
#define T1_BASE                         0x40003020UL
#define T2_BASE                         0x40003040UL
#define T3_BASE                         0x40003060UL
#define T8_BASE                         0x40003100UL
#define T9_BASE                         0x40003120UL
#define TGECR_BASE                      0x40003140UL
#define U0_BASE                         0x40008000UL
#define U1_BASE                         0x40008100UL
#define SP0_BASE                        0x40009000UL
#define IC0_BASE                        0x4000A000UL
#define MP0_BASE                        0x40004000UL
#define AD0_BASE                        0x4000B000UL
#define AD1_BASE                        0x4000B100UL


/* ================================================================================ */
/* ================             Peripheral declaration             ================ */
/* ================================================================================ */

#define SCU                             ((SCU_Type                *) SCU_BASE)
#define PCA                             ((PCU_Type                *) PCA_BASE)
#define PCB                             ((PCU_Type                *) PCB_BASE)
#define PCC                             ((PCU_Type                *) PCC_BASE)
#define PCD                             ((PCU_Type                *) PCD_BASE)
#define PORTEN                          ((PORTEN_Type             *) PORTEN_BASE)
#define PA                              ((GPIO_Type                 *) PA_BASE)
#define PB                              ((GPIO_Type                 *) PB_BASE)
#define PC                              ((GPIO_Type                 *) PC_BASE)
#define PD                              ((GPIO_Type                 *) PD_BASE)
#define FM                              ((FMC_Type                 *) FM_BASE)
#define DC0                             ((DMAC_Type                *) DC0_BASE)
#define DC1                             ((DMAC_Type                *) DC1_BASE)
#define DC2                             ((DMAC_Type                *) DC2_BASE)
#define DC3                             ((DMAC_Type                *) DC3_BASE)
#define WDT                             ((WDT_Type                *) WDT_BASE)
#define T0                              ((TIMER_Type                 *) T0_BASE)
#define T1                              ((TIMER_Type                 *) T1_BASE)
#define T2                              ((TIMER_Type                 *) T2_BASE)
#define T3                              ((TIMER_Type                 *) T3_BASE)
#define T8                              ((TIMER_Type                 *) T8_BASE)
#define T9                              ((TIMER_Type                 *) T9_BASE)
#define TGECR                           ((TGECR_Type              *) TGECR_BASE)
#define U0                              ((UART_Type                 *) U0_BASE)
#define U1                              ((UART_Type                 *) U1_BASE)
#define SP0                             ((SPI_Type                *) SP0_BASE)
#define IC0                             ((IIC_Type                *) IC0_BASE)
#define MP0                             ((MPWM_Type                *) MP0_BASE)
#define AD0                             ((ADC_Type                *) AD0_BASE)
#define AD1                             ((ADC_Type                *) AD1_BASE)


/** @} */ /* End of group Device_Peripheral_Registers */
/** @} */ /* End of group AC33Mx064 */
/** @} */ /* End of group ABOV Semiconductor Co., Ltd. */

#ifdef __cplusplus
}
#endif


#endif  /* AC33Mx064_H */

