/**********************************************************************//**
* @file		AC33Mx064_hal_slib.c
* @brief	Contains all functions support for uart firmware library
* 			on AC33Mx064
* @version	1.00
* @date		
* @author      ABOV PTS team
*
* Copyright(C) 2020, ABOV Semiconductor
* All rights reserved.
*
************************************************************************
* ABOV Disclaimer
*
*IMPORTANT NOTICE ? PLEASE READ CAREFULLY
*ABOV Semiconductor ("ABOV") reserves the right to make changes, corrections, enhancements, 
*modifications, and improvements to ABOV products and/or to this document at any time without notice. 
*ABOV does not give warranties as to the accuracy or completeness of the information included herein.
*Purchasers should obtain the latest relevant information of ABOV products before placing orders. 
*Purchasers are entirely responsible for the choice, selection, and use of ABOV products and 
*ABOV assumes no liability for application assistance or the design of purchaser products. No license, 
*express or implied, to any intellectual property rights is granted by ABOV herein. 
*ABOV disclaims all express and implied warranties and shall not be responsible or
*liable for any injuries or damages related to use of ABOV products in such unauthorized applications. 
*ABOV and the ABOV logo are trademarks of ABOV.
*All other product or service names are the property of their respective owners. 
*Information in this document supersedes and replaces the information previously
*supplied in any former versions of this document.
*2020 ABOV Semiconductor  All rights reserved
*
**********************************************************************/
#include <stdio.h>
#include "AC33Mx064.h"
#include "AC33Mx064_hal_debug_frmwrk.h"
#include "AC33Mx064_hal_slib.h"


char	InData[80];
int		InFlag;
int		InCount;

int	getstring(void)
{
	int	ch;
	
	InFlag=0; InCount=0;
	
	while(1){
		ch=_DG;
		if(ch>0) {
			if(InCount<80) {
				if(InCount==0&&ch<0x20) {
					InData[0]=0;
					return ch;
				}
				_DBC(ch);
				if(ch==8) {
					_DBC(' ');
					_DBC(8);
					InCount--;
					continue;
				}

				InData[InCount++]=ch;
			}
			if(ch==TERMINATE_CHAR) {
				InData[InCount]=0;
				InFlag=1;
				return 0;
			}
		}
	}
}


char	*scani(char *s, unsigned int *result)
{
	uint32_t n=0;
	int i;

	*result=0;
	while(*s!=0&&*s==' ') s++;
	if(*s==0)
		return NULL;
	else
	while((i=*s)!=0) {
		s++;
		if(i==',')
			break;

		if(i>='0'&&i<='9')
			i-='0';
		else
		if(i>='A'&&i<='F')
			i-='A'-10;
		else
		if(i>='a'&&i<='f')
			i-='a'-10;
		else
			break;
		n=(n<<4)+i;
	}
	*result=n;
	return s;
}

char	*scans(char *s,char *result)
{
	int i;
	while(*s!=0&&*s==' ') s++;
	while((i=*s)!=0) {
		s++;
		if(/*i==' '||*/i==',')
			break;
		*result++=i;
	}
	*result=0;
	return s;
}

