/**********************************************************************
* @file		main_conf.h
* @brief	Contains all macro definitions and function prototypes
* 			support for PCU firmware library on AC33Mx064
* @version	1.00
* @date		
* @author	ABOV PTS team
*
* Copyright(C) 2020, ABOV Semiconductor
* All rights reserved.
*
**********************************************************************/
#ifndef __AC33Mx064_CONF_H
#define __AC33Mx064_CONF_H

#ifdef __cplusplus
extern "C" {
#endif
	
/* Includes ------------------------------------------------------------------*/
/* Uncomment the line below to enable peripheral header file inclusion */
#include "AC33Mx064_hal_pcu.h"
#include "AC33Mx064_hal_scu.h"
#include "AC33Mx064_hal_uart.h"
#include "AC33Mx064_hal_adc.h"
#include "AC33Mx064_hal_libcfg.h"
#include "AC33Mx064_hal_debug_frmwrk.h"
#include "AC33Mx064_it.h"

#ifdef __cplusplus
extern "C"
{
#endif	
/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/


/* Private function prototypes -----------------------------------------------*/

/* Initialize all port */
extern void Port_Init(void); 
/* Configure the system clock to 8 MHz */
extern void SystemClock_Config(void);
#ifdef __cplusplus
}
#endif

#endif /* __AC33Mx064_CONF_H */


